<?php

namespace App\Http\Controllers\AccountManager;

use App\Http\Controllers\Controller;
use App\Models\AccountManagerLogs;
use Illuminate\Http\Request;

class AccountManagerLogsController extends Controller
{

    public function client()
    {

        return view('accountmanager.logs.client-logs');
    }


    public function accountmanagerlogs()
    {

        $accountmanager_logs = AccountManagerLogs::with('account_manager')->get();

        return view('accountmanager.logs.account-manager-logs', compact('accountmanager_logs'));
    }


    public function subaccountlogs()
    {

        return view('accountmanager.logs.sub-account-logs');
    }
}
