<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use App\Models\AdminLogs;
use Illuminate\Http\Request;

class AdminLogsController extends Controller
{
    public function adminlogs() {

        $admin_logs = AdminLogs::with('admin')->get();
        
        return view('admin.logs.admin-logs', compact('admin_logs'));
    
    }



    public function client() {

        return view('admin.logs.client-logs');
    
    }


    public function accountmanagerlogs() {

        return view('admin.logs.account-manager-logs');
    
    }


    public function subaccountlogs() {

        return view('admin.logs.sub-account-logs');
    
    }


    public function demoaccountlogs() {

        return view('admin.logs.demo-account-logs');
    
    }
}
