<?php

namespace App\Http\Controllers\Client;

use App\Http\Controllers\Controller;
use App\Models\Contact;
use Illuminate\Http\Request;

class ClientBlacklistController extends Controller
{
    public function clientsblacklist() {

        $contacts = Contact::where('is_blocked' , 1)->with('client', 'sub_account')->get();


        return view('client.blacklist.view-client-blacklist', compact('contacts'));
    
    }


    public function subaccountsblacklist() {

        return view('client.blacklist.view-sub-account-blacklist');
    
    }



    public function detail() {

        return view('client.blacklist.detail-blacklist');
    
    }
}
