<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class AccountManagerLogs extends Model
{
    use HasFactory;
    protected $table = 'account_manager_logs';
    protected $fillable = [
        'account_manager_id',
        'role_id',
        'description',
    ];

    public function account_manager()
    {
        return $this->belongsTo(accountmanager::class);
    }
}
