<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class AdminLogs extends Model
{
    use HasFactory;
    protected $table = 'admin_logs';
    protected $fillable = [
        'admin_id',
        'role_id',
        'description',
    ];


    public function admin(){
    	return $this->belongsTo(Admin::class);
    }


}
