<?php

namespace Database\Seeders;

use App\Models\Client;
use Illuminate\Database\Seeder;

class ClientSeeder extends Seeder
{
    /**
     * Run the database seeds.
     *
     * @return void
     */
    public function run()
    {
        $client1 = Client::create([
            'account_manager_id'    => '1',
            'first_name'            => 'Demo',
            'last_name'             => 'Client',
            'email'                 => 'democlient@ord.com',
            'mobile'                => '03211611291',
            'role_id'               => '3',
            'created_by'            => '1',
            'is_active'             => '1',
            'company_name'          => 'Test Company',
            'sms_limit'             => '100',
            'tenure'                => '1 month',
            'password'              => bcrypt('secret'),
        ]);

        $client2 = Client::create([
            'account_manager_id'    => '1',
            'first_name'            => 'New',
            'last_name'             => 'Client',
            'email'                 => 'newclient@ord.com',
            'mobile'                => '03281611221',
            'role_id'               => '3',
            'created_by'            => '1',
            'is_active'             => '1',
            'company_name'          => 'Test Company',
            'sms_limit'             => '100',
            'tenure'                => '1 month',
            'password'              => bcrypt('secret'),
        ]);
    }
}
