<?php
$title =(__('site.account_manager_dashboard'));
?>
@include('includes.portal.account_manager_header')
@include('includes.portal.account_manager_sidebar')
        <!--**********************************
            Content body start
            ***********************************-->
            <div class="content-body">
              <!-- row -->
              <!-- row -->
              <div class="container-fluid lg_pad">
                <div class="row">
                  <div class="col-lg-3 col-xl-3 col-xxl-3 col-sm-6">
                    <div class="card grd-card">
                      <div class="card-body c_cards">	
                        <div class="media align-items-center counts">
                          <div class="media-body mr-2">
                            <h2 class="text-white font-w600">9000</h2>
                          </div>
                          <i class="fa fa-commenting-o"></i>
                        </div>
                        <span class="text-white">{{__('site.available_sms')}}</span>
                      </div>
                    </div>
                  </div>

                  <div class="col-lg-3 col-xl-3 col-xxl-3 col-sm-6">
                    <div class="card grd-card" onClick="location.href='{{ route('accountmanager.pipeline.view-pipeline') }}'" style="cursor: pointer;">
                      <div class="card-body c_cards"> 
                        <div class="media align-items-center counts">
                          <div class="media-body mr-2">
                            <h2 class="text-white font-w600">25</h2>
                          </div>
                          <i class="fa fa-tasks" aria-hidden="true"></i>
                        </div>
                        <span class="text-white">{{__('site.pipeline')}}</span>
                      </div>
                    </div>
                  </div>

                  <div class="col-lg-3 col-xl-3 col-xxl-3 col-sm-6">
                    <div class="card grd-card" style="cursor: pointer;">
                      <div class="card-body c_cards"> 
                        <div class="media align-items-center counts">
                          <div class="media-body mr-2">
                            <h2 class="text-white font-w600">45</h2>
                          </div>
                          <i class="fa fa-check-square-o" aria-hidden="true"></i>
                        </div>
                        <span class="text-white">{{__('site.total_unique_MSISDNs')}}</span>
                      </div>
                    </div>
                  </div>

                  <div class="col-lg-3 col-xl-3 col-xxl-3 col-sm-6">
                    <div class="card grd-card chart_popup_trigger" >
                      <div class="card-body c_cards"> 
                        <div class="media align-items-center counts">
                          <div class="media-body mr-2">
                            <h2 class="text-white font-w600">34</h2>
                          </div>
                          <i class="fa fa-pie-chart" aria-hidden="true"></i>
                        </div>
                        <span class="text-white">{{__('site.operator_wise_MSISDN')}}</span>
                      </div>

                      <div class="chart_popup">
                        <div class="card">
                          <div class="card-body">
                            <canvas id="lineChart_2"></canvas>
                          </div>
                        </div>
                      </div>
                    </div>
                  </div>

                  <div class="col-xl-6">
                    <div class="card">
                      <div class="card-body">
                        <div class="tab-content">
                          <div class="tab-pane fade show active" id="Monthly">
                            <p>{{__('site.total_counts')}}: <span class="tcounts">100</span> | {{__('site.used_counts')}}: <span class="ucounts">2</span></p>
                            <div class="row align-items-center">  
                              <div class="col-sm-6">
                                <div id="radialBar" class="orderChart"></div>
                              </div>
                              <div class="col-sm-6 mb-sm-0 mb-3 text-center">
                                <h3 class="fs-46 font-w600" style="font-size: 60px !important;">98</h3>
                                <span class="mb-3 d-block" style="color:#222; font-size:16px">{{__('site.available_counts')}}</span>
                              </div>
                              <div class="col-sm-6 mb-sm-0 mb-3 text-center">
                                <p style="text-align: center;">{{__('site.out_of_message_recharge')}}</p>
                              </div>
                            </div>
                          </div>
                        </div>
                      </div>
                    </div>
                  </div>

                  <div class="col-xl-6">
                    <div class="card">
                      <div class="card-body">
                        <div class="row custom_tiles">

                          <div class="col-xl-6 col-xxl-6 col-sm-6">
                            <div class="card grd-card" onClick="location.href='{{ route('accountmanager.client.view-active-client') }}'" style="cursor: pointer;">
                              <div class="card-body c_cards"> 
                                <div class="media align-items-center counts">
                                  <div class="media-body mr-2">
                                    <h2 class="text-white font-w600">78</h2>
                                  </div>
                                  <i class="fa fa-vcard" aria-hidden="true"></i>
                                </div>
                                <span class="text-white">{{__('site.clients')}}</span>
                              </div>
                            </div>
                          </div>

                          <div class="col-xl-6 col-xxl-6 col-sm-6">
                            <div class="card grd-card" onClick="location.href='{{ route('accountmanager.subaccount.view-active-sub-account') }}'" style="cursor: pointer;">
                              <div class="card-body c_cards"> 
                                <div class="media align-items-center counts">
                                  <div class="media-body mr-2">
                                    <h2 class="text-white font-w600">21</h2>
                                  </div>
                                  <i class="fa fa-user-plus" aria-hidden="true"></i>
                                </div>
                                <span class="text-white">{{__('site.sub_accounts')}}</span>
                              </div>
                            </div>
                          </div>

                          <div class="col-xl-6 col-xxl-6 col-sm-6">
                            <div class="card grd-card" onClick="location.href='{{ route('accountmanager.group.view-group') }}'" style="cursor: pointer;">
                              <div class="card-body c_cards"> 
                                <div class="media align-items-center counts">
                                  <div class="media-body mr-2">
                                    <h2 class="text-white font-w600">13</h2>
                                  </div>
                                  <i class="fa fa-th-large" aria-hidden="true"></i>
                                </div>
                                <span class="text-white">{{__('site.groups')}}</span>
                              </div>
                            </div>
                          </div>

                          <div class="col-xl-6 col-xxl-6 col-sm-6">
                            <div class="card grd-card" onClick="location.href='{{ route('accountmanager.blacklist.view-client-blacklist') }}'" style="cursor: pointer;">
                              <div class="card-body c_cards"> 
                                <div class="media align-items-center counts">
                                  <div class="media-body mr-2">
                                    <h2 class="text-white font-w600">13</h2>
                                  </div>
                                  <i class="fa fa-ban" aria-hidden="true"></i>
                                </div>
                                <span class="text-white">{{__('site.blacklist')}}</span>
                              </div>
                            </div>
                          </div>
                        </div>
                      </div>
                    </div>
                  </div>

                    <div class="col-12">
                            <div class="card">
                              <div class="card-header">
                                <h4 class="card-title">{{__('site.clients')}}</h4>
                                <span class="badge badge-primary" onClick="location.href='{{ route('accountmanager.client.view-active-client') }}'" style="cursor: pointer; color:#fff">{{__('site.view_more')}}</span>
                              </div>
                              <div class="card-body">
                                <div class="table-responsive">
                                  <table class="table table-striped table-responsive-sm">
                                  <thead>
                                      <tr>
                                        <th>{{__('site.id')}}</th>
                                        <th>{{__('site.full_name')}}</th>
                                        <th>{{__('site.company_name')}}</th>
                                        <th>{{__('site.email')}}</th>
                                        <th>{{__('site.mobile')}}</th>
                                      </tr>
                                    </thead>
                                    <tbody>
                                      <tr>
                                        <td>001</td>
                                        <td>Tiger</td>
                                        <td>Nixon</td>
                                        <td>abc@gmail.com</td>
                                        <td>03000000000</td>                      
                                      </tr>
                                      <tr>
                                        <td>001</td>
                                        <td>Tiger</td>
                                        <td>Nixon</td>
                                        <td>abc@gmail.com</td>
                                        <td>03000000000</td>                      
                                      </tr>

                                      <tr>
                                        <td>001</td>
                                        <td>Tiger</td>
                                        <td>Nixon</td>
                                        <td>abc@gmail.com</td>
                                        <td>03000000000</td>                      
                                      </tr>

                                      <tr>
                                        <td>001</td>
                                        <td>Tiger</td>
                                        <td>Nixon</td>
                                        <td>abc@gmail.com</td>
                                        <td>03000000000</td>                      
                                      </tr>

                                      <tr>
                                        <td>001</td>
                                        <td>Tiger</td>
                                        <td>Nixon</td>
                                        <td>abc@gmail.com</td>
                                        <td>03000000000</td>                      
                                      </tr>

                                      <tr>
                                        <td>001</td>
                                        <td>Tiger</td>
                                        <td>Nixon</td>
                                        <td>abc@gmail.com</td>
                                        <td>03000000000</td>                      
                                      </tr>
                                    </tbody>
                                  </table>
                                </div>
                              </div>
                            </div>
                          </div>
                  
                </div>
              </div>

            </div>
        <!--**********************************
            Content body end
            ***********************************-->
            @include('includes.portal.footer')