<?php
$title =(__('site.account_manager_logs'));
?>
@include('includes.portal.account_manager_header')
@include('includes.portal.account_manager_sidebar')
        <!--**********************************
            Content body start
            ***********************************-->
            <div class="content-body">
              <!-- row -->
              <!-- row -->
              <div class="container-fluid">
                <div class="row">
                  <div class="col-xl-12 col-xxl-12 col-sm-12">
                    <div class="card">
                      <div class="card-header">
                        <h4 class="card-title">{{__('site.account_manager_logs')}}</h4>
                      </div>
                      <div class="card-body">
                        <div class="table-responsive">
                          <table id="example3" class="display min-w850">
                          <thead>
                          <tr>
                              <th>{{__('site.id')}}</th>
                              <th>{{__('site.user_id')}}</th>
                              <th>{{__('site.name')}}</th>
                              <th>{{__('site.description')}}</th>
                              <th>{{__('site.date_time')}}</th>
                              </tr>
                            </thead>
                            <tbody>
                            @foreach($accountmanager_logs as $accountmanagerlog)
                              <tr>
                                <td>{{$accountmanagerlog->id}}</td>
                                <td>{{$accountmanagerlog->account_manager_id}}</td>
                                <td>{{$accountmanagerlog->account_manager->first_name . ' ' . $accountmanagerlog->account_manager->last_name}}</td>
                                <td> {{$accountmanagerlog->description}} </td>                     
                                <td>{{$accountmanagerlog->created_at->format('d M Y - H:i:s')}}</td>                   
                              </tr>          
                              @endforeach
                            </tbody>
                          </table>
                        </div>
                      </div>
                    </div>
                  </div>
                </div>
              </div>

            </div>
        <!--**********************************
            Content body end
            ***********************************-->
            @include('includes.portal.footer')
