<?php
$title = (__('site.client_details'));
?>

@include('includes.portal.header')
@include('includes.portal.sidebar')
<!--**********************************
            Content body start
            ***********************************-->
<div class="content-body">
    <!-- row -->
    <!-- row -->
    <div class="container-fluid">
        <div class="row">
            <div class="col-xl-12 col-xxl-12 col-sm-12">
                <div class="card">
                    <div class="card-header">
                        <h4 class="card-title">{{__('site.client_details')}}</h4>
                    </div>
                    <div class="card-body">
                        <table class="details_modal">
                            <tr>
                                <td class="d_label">{{__('site.id')}}:</td>
                                <td class="value">{{$client->id}}</td>
                            </tr>

                            <tr>
                                <td class="d_label">{{__('site.first_name')}}:</td>
                                <td class="value">{{$client->first_name}}</td>
                            </tr>

                            <tr>
                                <td class="d_label">{{__('site.last_name')}}:</td>
                                <td class="value">{{$client->last_name}}</td>
                            </tr>

                            <tr>
                                <td class="d_label">{{__('site.email')}}:</td>
                                <td class="value">{{$client->email}}</td>
                            </tr>

                            <tr>
                                <td class="d_label">{{__('site.mobile_no')}}:</td>
                                <td class="value">{{$client->mobile}}</td>
                            </tr>

                            <tr>
                                <td class="d_label">{{__('site.company_name')}}:</td>
                                <td class="value">{{$client->company_name}}</td>
                            </tr>

                            <tr>
                                <td class="d_label">{{__('site.sms_limit')}}:</td>
                                <td class="value">{{$client->sms_limit}}</td>
                            </tr>

                            <tr>
                                <td class="d_label">{{__('site.account_manager')}}:</td>
                                <td class="value">{{$client->account_manager_id}}</td>
                            </tr>

                            <tr>
                                <td class="d_label">{{__('site.tenure')}}:</td>
                                <td class="value">{{$client->tenure}}</td>
                            </tr>

                            <tr>
                                <td class="d_label">{{__('site.created_at')}}:</td>
                                <td class="value">{{$client->created_at->format('d M Y - H:i:s')}}</td>
                            </tr>
                        </table>
                    </div>
                </div>
            </div>
        </div>
    </div>

</div>
<!--**********************************
            Content body end
            ***********************************-->
@include('includes.portal.footer')