<?php
$title = (__('site.group_listing'));
?>
@include('includes.portal.header')
@include('includes.portal.sidebar')
<!--**********************************
            Content body start
            ***********************************-->
<div class="content-body">
  <!-- row -->
  <!-- row -->
  <div class="container-fluid">
    <div class="row">
      <div class="col-xl-12 col-xxl-12 col-sm-12">
        <div class="card">
          <div class="card-header">
            <h4 class="card-title">{{__('site.group_listing')}}</h4>
          </div>
          <div class="card-body">
            <div class="table-responsive">
              <table id="example3" class="display min-w850">
                <thead>
                  <tr>
                    <th>{{__('site.id')}}</th>
                    <th>{{__('site.group_name')}}</th>
                    <th>{{__('site.created_by')}}</th>
                    <th>{{__('site.created_at')}}</th>
                    <th>{{__('site.actions')}}</th>
                  </tr>
                </thead>
                <tbody>
                  @foreach($groups as $group)
                  <tr>
                    <td>{{$group->id}}</td>
                    <td>{{$group->name}}</td>
                    <td>({{$group->role->role}})</td>
                    <td>{{$group->created_at->format('d M Y - H:i:s')}}</td>
                    <td>
                      <div class="d-flex">
                        <a href="{{ route('admin.group.detail-group', $group->id) }}" class="btn btn-primary shadow btn-xs sharp mr-1" data-toggle="tooltip" data-placement="top" title="{{__('site.view')}}"><i class="fa fa-eye"></i></a>
                        <a href="{{ route('admin.group.group-contact-list') }}" class="btn btn-success shadow btn-xs sharp mr-1" data-toggle="tooltip" data-placement="top" title="{{__('site.contact_list')}}"><i class="fa fa-address-book"></i></a>
                        <a href="{{ route('admin.group.edit-group', $group->id) }}" class="btn edt-btn shadow btn-xs sharp mr-1" data-toggle="tooltip" data-placement="top" title="{{__('site.edit')}}"><i class="fa fa-pencil"></i></a>
                        <a href="{{ route('admin.group.delete' , $group->id) }}" class="btn btn-danger shadow btn-xs sharp mr-1" data-toggle="tooltip" data-placement="top" title="{{__('site.delete')}}"><i class="fa fa-trash"></i></a>
                      </div>
                    </td>
                  </tr>
                  @endforeach
                </tbody>
              </table>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>

</div>
<!--**********************************
            Content body end
            ***********************************-->
@include('includes.portal.footer')