<?php
$title = (__('site.contact_list'));
?>
@include('includes.portal.client_header')
@include('includes.portal.client_sidebar')
<!--**********************************
            Content body start
            ***********************************-->
<div class="content-body">
  <!-- row -->
  <!-- row -->
  <div class="container-fluid">
    <div class="row">
      <div class="col-xl-12 col-xxl-12 col-sm-12">
        <div class="card">
          <div class="card-header">
            <h4 class="card-title">{{__('site.contact_list')}}</h4>
          </div>
          <div class="card-body">
            <div class="table-responsive">
              <table id="example3" class="display min-w850">
                <thead>
                  <tr>
                    <th>{{__('site.id')}}</th>
                    <th>{{__('site.name')}}</th>
                    <th>{{__('site.email')}}</th>
                    <th>{{__('site.mobile_no')}}</th>
                    <th>{{__('site.group')}}</th>
                    <th>{{__('site.actions')}}</th>
                  </tr>
                </thead>
                <tbody>
                  @foreach($contacts as $contact)
                  <tr>
                    <td>{{$contact->id}}</td>
                    <td>{{$contact->first_name . ' ' . $contact->last_name}}</td>
                    <td>{{$contact->email}}</td>
                    <td>{{$contact->mobile}}</td>
                    <td>{{$contact->group->name}}</td>
                    <td>
                      <div class="d-flex">
                        <a href="{{ route('client.contact.detail-contact', $contact->id) }}" class="btn btn-primary shadow btn-xs sharp mr-1" data-toggle="tooltip" data-placement="top" title="{{__('site.view')}}"><i class="fa fa-eye"></i></a>
                        <a href="{{ route('client.contact.edit-contact', $contact->id) }}" class="btn edt-btn shadow btn-xs sharp mr-1" data-toggle="tooltip" data-placement="top" title="{{__('site.edit')}}"><i class="fa fa-pencil"></i></a>
                        <a href="{{ route('client.contact.block' , $contact->id) }}" class="btn btn-secondary shadow btn-xs sharp mr-1" data-toggle="tooltip" data-placement="top" title="{{__('site.blacklist')}}"><i class="fa fa-ban"></i></a>
                        <a href="{{ route('client.contact.delete' , $contact->id) }}" class="btn btn-danger shadow btn-xs sharp mr-1" data-toggle="tooltip" data-placement="top" title="{{__('site.delete')}}"><i class="fa fa-trash"></i></a>
                      </div>
                    </td>
                  </tr>
                  @endforeach
                </tbody>
              </table>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>

</div>
<!--**********************************
            Content body end
            ***********************************-->
@include('includes.portal.footer')