<?php
$title = (__('site.client_logs'));
?>
@include('includes.portal.client_header')
@include('includes.portal.client_sidebar')
<!--**********************************
            Content body start
            ***********************************-->
<div class="content-body">
  <!-- row -->
  <!-- row -->
  <div class="container-fluid">
    <div class="row">
      <div class="col-xl-12 col-xxl-12 col-sm-12">
        <div class="card">
          <div class="card-header">
            <h4 class="card-title">{{__('site.client_logs')}}</h4>
          </div>
          <div class="card-body">
            <div class="table-responsive">
              <table id="example3" class="display min-w850">
                <thead>
                  <tr>
                    <th>{{__('site.id')}}</th>
                    <th>{{__('site.user_id')}}</th>
                    <th>{{__('site.name')}}</th>
                    <th>{{__('site.description')}}</th>
                    <th>{{__('site.date_time')}}</th>
                  </tr>
                </thead>
                <tbody>
                  @foreach($client_logs as $clientlog)
                  <tr>
                    <td>{{$clientlog->id}}</td>
                    <td>{{$clientlog->client_id}}</td>
                    <td>{{$clientlog->client->first_name . ' ' . $clientlog->client->last_name}}</td>
                    <td> {{$clientlog->description}} </td>
                    <td>{{$clientlog->created_at->format('d M Y - H:i:s')}}</td>
                  </tr>
                  @endforeach
                </tbody>
              </table>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>

</div>
<!--**********************************
            Content body end
            ***********************************-->
@include('includes.portal.footer')