<?php
$title =(__('site.schedule_sms'));
?>
@include('includes.portal.client_header')
@include('includes.portal.client_sidebar')

<!--**********************************
            Content body start
            ***********************************-->
            <div class="content-body">
              <!-- row -->
              <!-- row -->
              <div class="container-fluid">
                <div class="row">
                  <div class="col-xl-12 col-xxl-12 col-sm-12">
                    <div class="card">
                      <div class="card-header">
                        <h4 class="card-title">{{__('site.schedule_sms')}}</h4>
                      </div>
                      <div class="card-body">	
                        <div class="compose-content">
                          <form action="#">
                          <div class="form-group">
                            <div class="form-row">
                            <div class="form-group col-md-6">
                                <label>{{__('site.sub_account')}}</label>
                                <select id="inputState" class="light btn-rounded form-control default-select selectoin">
                                  <option selected>{{__('site.choose')}}</option>
                                  <option>A</option>
                                  <option>B</option>
                                  <option>C</option>
                                </select>
                              </div>

                              <div class="form-group col-md-6">
                                <label>{{__('site.masking')}}</label>
                                <input type="text" class="form-control bg-transparent" placeholder="Masking">
                              </div>
                            </div>
                          </div>

                            <div class="form-group">
                              <div class="form-row">
                                <div class="form-group col-md-12">
                                  <input type="text" class="form-control bg-transparent" placeholder=" To:">
                                </div>
                                <div class="form-group col-md-6">
                                <p class="import_text">{{__('site.download_sample_from_here')}}</p>
                                <button class="btn btn-primary btn-sl-sm mr-2" type="button"><span class="mr-2"><i class="fa fa-download"></i></span>{{__('site.download')}}</button>
                                </div>
                                <div class="form-group col-md-6" >
                                <p class="import_text">{{__('site.upload_csv_file_here')}}</p>
                                <form>
                                  <label><input type="file" class="form-control custom_file"></label>
                                  <button class="btn btn-primary btn-sl-sm mr-2" type="button"><span class="mr-2"><i class="fa fa-upload"></i></span>{{__('site.upload')}}</button>
                                </form>
                                </div>
                              </div> 
                            </div>
                            <div class="form-group">
                              <textarea id="email-compose-editor" class="textarea_editor form-control bg-transparent char_count" rows="15" placeholder="Enter text ..." maxlength="960"></textarea> 
                              <p class="main_counter"><span class="display_count">0</span> / <span class="word_left">6</span> </p>                  
                            </div>
                          </form>
                        </div>

                        <div class="schedule_container">
                          <h5 class="mt-5">Schedule Message:</h5>
                          <form action="/action_page.php">
                            <div class="row">
                              <div class="col-lg-3 col-md-4 mt-2">
                                <div class="input-group" data-placement="bottom" data-align="top" data-autoclose="true">
                                  <input type="date" class="form-control c_picker" value=""> <span class="input-group-append"><span class="input-group-text"><i
                                    class="fa fa-calendar-o"></i></span></span>
                                  </div>
                                </div>

                                <div class="col-lg-3 col-md-4 mt-2">
                                  <div class="input-group" data-placement="bottom" data-align="top" data-autoclose="true">
                                    <input type="time" class="form-control c_picker" value=""> <span class="input-group-append"><span class="input-group-text"><i
                                      class="fa fa-clock-o"></i></span></span>
                                    </div>
                                  </div>

                                  <div class="col-md-6 col-md-4 mt-2">
                                    <button class="btn btn-secondary btn-sl-sm mr-2" type="reset" style="background-color:#2b2a33">Reset</button>
                                    <button class="btn btn-primary btn-sl-sm mr-2" type="button"><span class="mr-2"><i class="fa fa-paper-plane"></i></span>Schedule Now</button>
                                  </div>
                                </div>
                              </form>
                            </div>
                          </div>
                    </div>
                  </div>
                </div>
              </div>

            </div>
        <!--**********************************
            Content body end
        ***********************************-->

@include('includes.portal.footer')