<!DOCTYPE html>
<html lang="en">
<meta http-equiv="content-type" content="text/html;charset=UTF-8" />
<head>
  <meta charset="utf-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="viewport" content="width=device-width,initial-scale=1">
  <meta name="csrf-token" content="Q6Tuz9Pk2rS7xNjRMLPC2dNNfF5aZTJrJtk3pMi0">
  <title><?php echo $title ?> | {{__('site.SMS_Portal')}}</title>
  
  <meta name="description" content="Welcome to Sego Admin!"/>
  <!-- Favicon icon -->
  <link rel="icon" type="image/png" sizes="16x16" href="{{ asset('assets/portal/images/favicon.png') }}">
  
  
  
  
  <link href="{{ asset('assets/portal/vendor/bootstrap-select/dist/css/bootstrap-select.min.css') }}" rel="stylesheet" type="text/css"/>
  <link href="{{ asset('assets/portal/vendor/chartist/css/chartist.min.css') }}" rel="stylesheet" type="text/css"/>
  <link href="{{ asset('assets/portal/vendor/owl-carousel/owl.carousel.css') }}" rel="stylesheet" type="text/css"/>
  <link href="{{ asset('assets/portal/vendor/datatables/css/jquery.dataTables.min.css') }}" rel="stylesheet" type="text/css"/>
  

  
  
  <link href="{{ asset('assets/portal/css/style.css') }}" rel="stylesheet" type="text/css"/>
  <link href="{{ asset('assets/portal/css/custom.css') }}" rel="stylesheet" type="text/css"/>
  <link href="https://fonts.googleapis.com/css2?family=Poppins:wght@100;200;300;400;500;600;700;800;900&amp;family=Roboto:wght@100;300;400;500;700;900&amp;display=swap" rel="stylesheet" type="text/css"/>
  


</head>

<body>

    <!--*******************
        Preloader start
        ********************-->
        <div id="preloader">
          <div class="sk-three-bounce">
            <div class="sk-child sk-bounce1"></div>
            <div class="sk-child sk-bounce2"></div>
            <div class="sk-child sk-bounce3"></div>
          </div>
        </div>
    <!--*******************
        Preloader end
        ********************-->

    <!--**********************************
        Main wrapper start
        ***********************************-->
        <div id="main-wrapper">

        <!--**********************************
            Nav header start
            ***********************************-->
            <div class="nav-header">
              <a href="{{ route('demoaccount.dashboard') }}" class="brand-logo">
               <img class="logo-abbr" src="{{ asset('assets/images/logo.png') }}" alt="">   
             </a>

             <div class="nav-control">
              <div class="hamburger">
                <span class="line"></span><span class="line"></span><span class="line"></span>
              </div>
            </div>
          </div>
        <!--**********************************
            Nav header end
            ***********************************-->


<!--**********************************
  Header start
  ***********************************-->
  @if(session()->has('message'))
            <div class="toast-container">
                <div class="toast_popup toast-success" id="successMessage">
                  <i class="fa fa-check-square-o"></i>
                   {{session()->get('message') }}
                </div>
            </div>
          @endif
  <div class="header">
    <div class="header-content">
      <nav class="navbar navbar-expand">
        <div class="collapse navbar-collapse justify-content-between">
          <div class="header-left">
            <div class="dashboard_bar">
              {{__('site.dashboard')}}            <span> {{__('site.welcome_to_SMS_Portal')}}</span>
            </div>
          </div>
          <ul class="navbar-nav header-right">
            <li class="nav-item dropdown header-profile">
              <a class="nav-link" href="javascript:void(0)" role="button" data-toggle="dropdown">
                <img src="{{ asset('assets/portal/images/profile/17.jpg') }}" width="20" alt=""/>
                <div class="header-info">
                  <span class="text-black"><strong>{{ auth()->guard('demo_account')->user()->first_name .' '. auth()->guard('demo_account')->user()->last_name }}</strong></span>
                  <p class="fs-12 mb-0">Demo Account</p>
                </div>
              </a>
              <div class="dropdown-menu dropdown-menu-right">
                <a href="{{ route('demoaccount.profile') }}" class="dropdown-item ai-icon">
                  <svg id="icon-user1" xmlns="http://www.w3.org/2000/svg" class="text-primary" width="18" height="18" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round"><path d="M20 21v-2a4 4 0 0 0-4-4H8a4 4 0 0 0-4 4v2"></path><circle cx="12" cy="7" r="4"></circle></svg>
                  <span class="ml-2">{{__('site.profile')}} </span>
                </a>
                <a href="{{ route('demoaccount.signout') }}" class="dropdown-item ai-icon">
                  <svg id="icon-logout" xmlns="http://www.w3.org/2000/svg" class="text-primary" width="18" height="18" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round"><path d="M9 21H5a2 2 0 0 1-2-2V5a2 2 0 0 1 2-2h4"></path><polyline points="16 17 21 12 16 7"></polyline><line x1="21" y1="12" x2="9" y2="12"></line></svg>
                  <span class="ml-2">{{__('site.logout')}} </span>
                </a>
              </div>
            </li>
          </ul>
        </div>
      </nav>
    </div>
  </div>
<!--**********************************
  Header end ti-comment-alt
  ***********************************-->		
  
        <!--**********************************
            Header end ti-comment-alt
            ***********************************-->