<?php
$title =(__('site.group_listing'));
?>
@include('includes.portal.sub_account_header')
@include('includes.portal.sub_account_sidebar')
        <!--**********************************
            Content body start
            ***********************************-->
            <div class="content-body">
              <!-- row -->
              <!-- row -->
              <div class="container-fluid">
                <div class="row">
                  <div class="col-xl-12 col-xxl-12 col-sm-12">
                    <div class="card">
                      <div class="card-header">
                        <h4 class="card-title">{{__('site.group_listing')}}</h4>
                      </div>
                      <div class="card-body">
                      @include('subaccount.group.detail-group')
                        <div class="table-responsive">
                          <table id="example3" class="display min-w850">
                            <thead>
                              <tr>
                                <th>{{__('site.id')}}</th>
                                <th>{{__('site.group_name')}}</th>
                                <th>{{__('site.created_by')}}</th>
                                <th>{{__('site.created_at')}}</th>
                                <th>{{__('site.no_of_contacts')}}</th>
                                <th>{{__('site.actions')}}</th>
                              </tr>
                            </thead>
                            <tbody>
                              <tr>
                                <td>001</td>
                                <td>Marketing Group</td>
                                <td>Hasan (Account Manager)</td>
                                <td>02/02/2022</td>
                                <td>478</td>
                                <td>
                                  <div class="d-flex">
                                    <span class="btn btn-primary shadow btn-xs sharp mr-1" data-toggle="modal" data-target="#group_view"><i class="fa fa-eye" data-toggle="tooltip" data-placement="top" title="{{__('site.view')}}"></i></span>
                                    <a href="{{ route('subaccount.group.edit-group') }}" class="btn edt-btn shadow btn-xs sharp mr-1" data-toggle="tooltip" data-placement="top" title="{{__('site.edit')}}"><i class="fa fa-pencil"></i></a>
                                    <a href="#" class="btn btn-danger shadow btn-xs sharp" data-toggle="tooltip" data-placement="top" title="{{__('site.delete')}}"><i class="fa fa-trash"></i></a>
                                  </div>                        
                                </td>                       
                              </tr>
                            </tbody>
                          </table>
                        </div>
                      </div>
                    </div>
                  </div>
                </div>
              </div>

            </div>
        <!--**********************************
            Content body end
            ***********************************-->
            @include('includes.portal.footer')
