<?php
$title ="SMS Compose";
include("includes/inc.header.php");
include("includes/inc.sidebar.php");
?>
        <!--**********************************
            Content body start
            ***********************************-->
            <div class="content-body">
              <!-- row -->
              <!-- row -->
              <div class="container-fluid">
                <div class="row">
                  <div class="col-xl-12 col-xxl-12 col-sm-12">
                    <div class="card">
                      <div class="card-header">
                        <h4 class="card-title">Compose Message</h4>
                      </div>
                      <div class="card-body">	
                        <div class="compose-content">
                          <form action="#">
                            <div class="form-group">
                              <div class="form-row">
                                <div class="form-group col-md-8">
                                  <input type="text" class="form-control bg-transparent" placeholder=" To:">
                                </div>
                                <div class="form-group col-md-4" style="display:flex; justify-content: flex-end;">
                                  <label class="btn btn-primary btn-sl-sm mr-2" type="button">
                                    <span class="mr-2"><i class="fa fa-files-o"></i></span>
                                    Import CSV
                                    <input type="file" style="display:none;">
                                  </label>
                                </div>
                              </div> 
                            </div>
                            <div class="form-group">
                              <input type="text" class="form-control bg-transparent" placeholder=" Subject:">
                            </div>
                            <div class="form-group">
                              <textarea id="email-compose-editor" class="textarea_editor form-control bg-transparent char_count" rows="15" placeholder="Enter text ..." maxlength="960"></textarea> 
                              <p class="main_counter"><span class="display_count">0</span> / <span class="word_left">6</span> </p>                  
                            </div>
                          </form>
                        </div>
                        <div class="row" style="justify-content: space-between;">
                          <div class="text-left mt-4 mb-2" style="float:left;">
                            <button class="btn btn-primary btn-sl-sm mr-2" type="button" onClick="location.href='#'"><span class="mr-2"><i class="fa fa-paper-plane"></i></span>Send</button>

                            <button class="btn btn-danger light btn-sl-sm" type="button" onClick="location.href='dashboard.php'"><span class="mr-2"><i class="fa fa-times" aria-hidden="true"></i></span>Discard</button>
                          </div>
                          <div class="text-right mt-4 mb-2" style="float: right;">
                            <button class="btn btn-primary btn-sl-sm mr-2 schedule_button" type="button" style="background-color:#2b2a33"><span class="mr-2"><i class="fa fa-clock-o"></i></span>Schedule</button>
                          </div>
                        </div>
                        <div class="container-fluid schedule_container">
                          <h5 class="mt-5">Schedule Message:</h5>
                          <form action="/action_page.php">
                            <div class="row">
                              <div class="col-lg-3 col-md-4 mt-2">
                                <div class="input-group" data-placement="bottom" data-align="top" data-autoclose="true">
                                  <input type="date" class="form-control c_picker" value=""> <span class="input-group-append"><span class="input-group-text"><i
                                    class="fa fa-calendar-o"></i></span></span>
                                  </div>
                                </div>

                                <div class="col-lg-3 col-md-4 mt-2">
                                  <div class="input-group" data-placement="bottom" data-align="top" data-autoclose="true">
                                    <input type="time" class="form-control c_picker" value=""> <span class="input-group-append"><span class="input-group-text"><i
                                      class="fa fa-clock-o"></i></span></span>
                                    </div>
                                  </div>

                                  <div class="col-md-6 col-md-4 mt-2">
                                    <button class="btn btn-secondary btn-sl-sm mr-2" type="reset" style="background-color:#2b2a33">Reset</button>
                                    <button class="btn btn-primary btn-sl-sm mr-2" type="button"><span class="mr-2"><i class="fa fa-paper-plane"></i></span>Schedule Now</button>
                                  </div>
                                </div>
                              </form>
                            </div>
                          </div>
                        </div>
                      </div>
                    </div>
                  </div>

                </div>
        <!--**********************************
            Content body end
            ***********************************-->


            <?php
            include("includes/inc.footer.php");
            ?>
            <script>
              $(document).ready(function() {
                var packet_limit = 160;
                $(".char_count").on('keyup',function() {
                  var c_count = 0;
                  var packet_count = 0;
                  if (this.value != null) {
                    c_count = this.value.length;
                    if(c_count < packet_limit){
                      packet_count = 1;
                    }
                    else{
                      packet_count = Math.round(c_count / packet_limit);
                    }
                  }
                  $('.display_count').text(packet_count);
                  $('.word_left').text(6);
                });
              });

              $('.schedule_container').fadeOut();
              $(".schedule_button").click(function(){
                $(".schedule_container").fadeToggle();
              });
            </script>

            