<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class ClientLogs extends Model
{
    use HasFactory;
    protected $table = 'client_logs';
    protected $fillable = [
        'client_id',
        'role_id',
        'description',
    ];

    public function client()
    {
        return $this->belongsTo(Client::class);
    }

}
