<?php

namespace Database\Seeders;

use App\Models\TrialUser;
use Illuminate\Database\Seeder;

class DemoAccountSeeder extends Seeder
{
    /**
     * Run the database seeds.
     *
     * @return void
     */
    public function run()
    {
        $sub_account1 = TrialUser::create([
            'first_name'    => 'Demo',
            'last_name'     => 'Trial Account',
            'email'         => 'demotrialaccount@ord.com',
            'mobile'        => '03211611291',
            'password'      => bcrypt('secret'),
            'role_id'       => '5',
        ]);

        $sub_account2 = TrialUser::create([
            'first_name'    => 'New',
            'last_name'     => 'Trial Account',
            'email'         => 'newtrialaccount@ord.com',
            'mobile'        => '03211611891',
            'password'      => bcrypt('secret'),
            'role_id'       => '5',
        ]);
    }
}
