<?php

namespace Database\Seeders;

use App\Models\SubAccount;
use Illuminate\Database\Seeder;

class SubAccountSeeder extends Seeder
{
    /**
     * Run the database seeds.
     *
     * @return void
     */
    public function run()
    {
        $sub_account1 = SubAccount::create([
            'first_name'    => 'Demo',
            'last_name'     => 'Sub Account',
            'email'         => 'demosubaccount@ord.com',
            'mobile'        => '03211611291',
            'password'      => bcrypt('secret'),
            'role_id'       => '4',
            'created_by'    => '1',
            'is_active'     => '1',
            'client_id'     => '1',
            'company_name'  => 'Test Company',
            'sms_limit'     => '100',
            'tenure'        => '1 month',
            'masking_id'    => '1',
        ]);

        $sub_account2 = SubAccount::create([
            'first_name'    => 'New',
            'last_name'     => 'Sub Account',
            'email'         => 'newsubaccount@ord.com',
            'mobile'        => '03211611091',
            'password'      => bcrypt('secret'),
            'role_id'       => '4',
            'created_by'    => '1',
            'is_active'     => '1',
            'client_id'     => '1',
            'company_name'  => 'Test Company',
            'sms_limit'     => '100',
            'tenure'        => '1 month',
            'masking_id'    => '1',
        ]);
    }
}
