<?php
$title = (__('site.active_clients'));
?>
@include('includes.portal.account_manager_header')
@include('includes.portal.account_manager_sidebar')
<!--**********************************
            Content body start
            ***********************************-->
<div class="content-body">
  <!-- row -->
  <!-- row -->
  <div class="container-fluid">
    <div class="row">
      <div class="col-xl-12 col-xxl-12 col-sm-12">
        <div class="card">
          <div class="card-header">
            <h4 class="card-title">{{__('site.active_clients')}}</h4>
          </div>
          <div class="card-body">
            <div class="table-responsive">
              <table id="example3" class="display min-w850">
                <thead>
                  <tr>
                    <th>{{__('site.id')}}</th>
                    <th>{{__('site.name')}}</th>
                    <th>{{__('site.email')}}</th>
                    <th>{{__('site.mobile_no')}}</th>
                    <th>{{__('site.company_name')}}</th>
                    <th>{{__('site.actions')}}</th>
                  </tr>
                </thead>
                <tbody>
                  @foreach($clients as $client)
                  <tr>
                    <td>{{$client->id}}</td>
                    <td>{{$client->first_name . ' ' . $client->last_name}}</td>
                    <td>{{$client->email}}</td>
                    <td>{{$client->mobile}}</td>
                    <td>{{$client->company_name}}</td>
                    <td>
                      <div class="d-flex">
                      <a href="{{ route('accountmanager.client.view-client' , $client->id) }}" class="btn btn-primary shadow btn-xs sharp mr-1" ><i class="fa fa-eye" data-toggle="tooltip" data-placement="top" title="{{__('site.view')}}"></i></a>
                        <a href="{{ route('accountmanager.client.edit-client', $client->id) }}" class="btn edt-btn shadow btn-xs sharp mr-1" data-toggle="tooltip" data-placement="top" title="{{__('site.edit')}}"><i class="fa fa-pencil"></i></a>
                        <a href="{{ route('accountmanager.client.deactivate' , $client->id) }}" class="btn btn-secondary shadow btn-xs sharp" data-toggle="tooltip" data-placement="top" title="{{__('site.deactivate')}}"><i class="fa fa-ban"></i></a>
                      </div>
                    </td>
                  </tr>
                  @endforeach
                </tbody>
              </table>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>

</div>
<!--**********************************
            Content body end
            ***********************************-->
@include('includes.portal.footer')