<?php
$title =(__('site.group_details'));
?>
@include('includes.portal.account_manager_header')
@include('includes.portal.account_manager_sidebar')
<!--**********************************
            Content body start
            ***********************************-->
<div class="content-body">
    <!-- row -->
    <!-- row -->
    <div class="container-fluid">
        <div class="row">
            <div class="col-xl-12 col-xxl-12 col-sm-12">
                <div class="card">
                    <div class="card-header">
                        <h4 class="card-title">{{__('site.group_details')}}</h4>
                    </div>
                    <div class="card-body">
                        <div class="table-responsive">
                            <table class="details_modal">
                                <tr>
                                    <td class="d_label">{{__('site.id')}}:</td>
                                    <td class="value">{{$group->id}}</td>
                                </tr>

                                <tr>
                                    <td class="d_label">{{__('site.group_name')}}:</td>
                                    <td class="value">{{$group->name}}</td>
                                </tr>

                                <tr>
                                    <td class="d_label">{{__('site.account_manager')}}:</td>
                                    <td class="value">{{$group->account_manager->first_name . ' ' . $group->account_manager->last_name}}</td>
                                </tr>

                                <tr>
                                    <td class="d_label">{{__('site.client')}}</td>
                                    <td class="value">{{$group->client->first_name . ' ' . $group->client->last_name}}</td>
                                </tr>

                                <tr>
                                    <td class="d_label">{{__('site.sub_account')}}:</td>
                                    <td class="value">{{$group->sub_account->first_name . ' ' . $group->sub_account->last_name}}</td>
                                </tr>

                                <tr>
                                    <td class="d_label">{{__('site.created_by')}}:</td>
                                    <td class="value">({{$group->role->role}})</td>
                                </tr>
                                
                                <tr>
                                    <td class="d_label">{{__('site.no_of_contacts')}}:</td>
                                    <td class="value">534</td>
                                </tr>

                                <tr>
                                    <td class="d_label">{{__('site.created_at')}}:</td>
                                    <td class="value">{{$group->created_at->format('d M Y - H:i:s')}}</td>
                                </tr>

                            </table>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

</div>
<!--**********************************
            Content body end
            ***********************************-->
@include('includes.portal.footer')