<?php
$title =(__('site.contact_details'));
?>
@include('includes.portal.header')
@include('includes.portal.sidebar')
<!--**********************************
            Content body start
            ***********************************-->
<div class="content-body">
    <!-- row -->
    <!-- row -->
    <div class="container-fluid">
        <div class="row">
            <div class="col-xl-12 col-xxl-12 col-sm-12">
                <div class="card">
                    <div class="card-header">
                        <h4 class="card-title">{{__('site.contact_details')}}</h4>
                    </div>
                    <div class="card-body">
                        <div class="table-responsive">
                            <table class="details_modal">
                                <tr>
                                    <td class="d_label">{{__('site.id')}}:</td>
                                    <td class="value">{{$contact->id}}</td>
                                </tr>
                                <tr>
                                    <td class="d_label">{{__('site.first_name')}}:</td>
                                    <td class="value">{{$contact->first_name}}</td>
                                </tr>

                                <tr>
                                    <td class="d_label">{{__('site.last_name')}}:</td>
                                    <td class="value">{{$contact->last_name}}</td>
                                </tr>

                                <tr>
                                    <td class="d_label">{{__('site.email')}}:</td>
                                    <td class="value">{{$contact->email}}</td>
                                </tr>

                                <tr>
                                    <td class="d_label">{{__('site.mobile_no')}}:</td>
                                    <td class="value">{{$contact->mobile}}</td>
                                </tr>

                                <tr>
                                    <td class="d_label">{{__('site.group')}}:</td>
                                    <td class="value">{{$contact->group->name}}</td>
                                </tr>

                                <tr>
                                    <td class="d_label">{{__('site.account_manager')}}:</td>
                                    <td class="value">{{$contact->account_manager->first_name . ' ' . $contact->account_manager->last_name}}</td>
                                </tr>

                                <tr>
                                    <td class="d_label">{{__('site.client')}}:</td>
                                    <td class="value">{{$contact->client->first_name . ' ' . $contact->client->last_name}}</td>
                                </tr>

                                <tr>
                                    <td class="d_label">{{__('site.sub_account')}}:</td>
                                    <td class="value">{{$contact->sub_account->first_name . ' ' . $contact->sub_account->last_name}}</td>
                                </tr>

                                <tr>
                                    <td class="d_label">{{__('site.created_at')}}:</td>
                                    <td class="value">{{$contact->created_at->format('d M Y - H:i:s')}}</td>
                                </tr>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

</div>
<!--**********************************
            Content body end
            ***********************************-->
@include('includes.portal.footer')