<?php
$title =(__('site.client_blacklist'));
?>
@include('includes.portal.client_header')
@include('includes.portal.client_sidebar')
        <!--**********************************
            Content body start
            ***********************************-->
            <div class="content-body">
              <!-- row -->
              <!-- row -->
              <div class="container-fluid">
                <div class="row">
                  <div class="col-xl-12 col-xxl-12 col-sm-12">
                    <div class="card">
                      <div class="card-header">
                        <h4 class="card-title">{{__('site.client_blacklist')}}</h4>
                      </div>
                      <div class="card-body">
                      @include('client.blacklist.detail-blacklist')
                        <div class="table-responsive">
                          <table id="example3" class="display min-w850">
                            <thead>
                              <tr>
                                <th>{{__('site.id')}}</th>
                                <th>{{__('site.contact_name')}}</th>
                                <th>{{__('site.contact_number')}}</th>
                                <th>{{__('site.client')}}</th>
                                <th>{{__('site.sub_account')}}</th>
                                <th>{{__('site.created_at')}}</th>
                                <th>{{__('site.actions')}}</th>
                              </tr>
                            </thead>
                            <tbody>
                              @foreach($contacts as $contact)
                              <tr>
                                <td>{{$contact->id}}</td>
                                <td>{{$contact->first_name . ' ' . $contact->last_name}}</td>
                                <td>{{$contact->mobile}}</td>
                                <td>{{$contact->client->first_name . ' ' . $contact->client->last_name}}</td>
                                <td>{{$contact->sub_account->first_name . ' ' . $contact->sub_account->last_name}}</td>
                                <td>{{$contact->created_at->format('d M Y - H:i:s')}}</td>
                                <td>
                                  <div class="d-flex">
                                    <span class="btn btn-primary shadow btn-xs sharp mr-1" data-toggle="modal" data-target="#blacklist_view"><i class="fa fa-eye" data-toggle="tooltip" data-placement="top" title="{{__('site.view')}}"></i></span>
                                    <a href="#" class="btn btn-secondary shadow btn-xs sharp" data-toggle="tooltip" data-placement="top" title="{{__('site.restore')}}"><i class="fa fa-refresh"></i></a>
                                  </div>                        
                                </td>                       
                              </tr>
                              @endforeach
                            </tbody>
                          </table>
                        </div>
                      </div>
                    </div>
                  </div>
                </div>
              </div>

            </div>
        <!--**********************************
            Content body end
            ***********************************-->
            @include('includes.portal.footer')
