<?php
$title =(__('site.compose'));
?>
@include('includes.portal.demo_account_header')
@include('includes.portal.demo_account_sidebar')

<!--**********************************
            Content body start
            ***********************************-->
            <div class="content-body">
              <!-- row -->
              <!-- row -->
              <div class="container-fluid">
                <div class="row">
                  <div class="col-xl-12 col-xxl-12 col-sm-12">
                    <div class="card">
                      <div class="card-header">
                        <h4 class="card-title">{{__('site.compose')}}</h4>
                      </div>
                      <div class="card-body">	
                        <div class="compose-content">
                          <form action="#">
                            <div class="form-group">
                              <div class="form-row">
                                <div class="form-group col-md-12">
                                  <input type="text" class="form-control bg-transparent" placeholder=" To:">
                                </div>
                                <div class="form-group col-md-6">
                                <p class="import_text">{{__('site.download_sample_from_here')}}</p>
                                <button class="btn btn-primary btn-sl-sm mr-2" type="button"><span class="mr-2"><i class="fa fa-download"></i></span>{{__('site.download')}}</button>
                                </div>
                                <div class="form-group col-md-6" >
                                <p class="import_text">{{__('site.upload_csv_file_here')}}</p>
                                <form>
                                  <label><input type="file" class="form-control custom_file"></label>
                                  <button class="btn btn-primary btn-sl-sm mr-2" type="button"><span class="mr-2"><i class="fa fa-upload"></i></span>{{__('site.upload')}}</button>
                                </form>
                                </div>
                              </div> 
                            </div>
                            <div class="form-group">
                              <textarea id="email-compose-editor" class="textarea_editor form-control bg-transparent char_count" rows="15" placeholder="Enter text ..." maxlength="960"></textarea> 
                              <p class="main_counter"><span class="display_count">0</span> / <span class="word_left">6</span> </p>                  
                            </div>
                          </form>
                        </div>
                        <div class="row" style="justify-content: space-between;">
                          <div class="text-left mt-4 mb-2" style="float:left;">
                            <button class="btn btn-primary btn-sl-sm mr-2" type="button" onClick="location.href='#'"><span class="mr-2"><i class="fa fa-paper-plane"></i></span>Send</button>
                          </div>
                        </div>
                          </div>
                    </div>
                  </div>
                </div>
              </div>

            </div>
        <!--**********************************
            Content body end
        ***********************************-->

@include('includes.portal.footer')