        <!--
        ==============
            Footer
        ==============
    -->
    <footer class="ev-footer relative" id="ev-footer">
        <div class="footer-overlay-img">
            <div class="each-color image-bg" style="background-image:url({{ asset('assets/images/footer-shape.png') }})"></div>
        </div>
        <div class="container">
            <div class="row section-separator pb-0">
                <div class="col-sm-12 ev-footer-links">
                    <div class="row">
                        <div class="col-sm-6 col-lg-3">
                            <div class="footer-items">
                                <h4>{{ __('site.service') }}</h4>
                                <ul>
                                    <li><a href="#">{{ __('site.expand') }}</a></li>
                                    <li><a href="#">{{ __('site.equalize') }}</a></li>
                                    <li><a href="#">{{ __('site.socialize') }}</a></li>
                                    <li><a href="#">{{ __('site.engineering') }}</a></li>
                                </ul>
                            </div>
                        </div>
                        <div class="col-sm-6 col-lg-3">
                            <div class="footer-items">
                                <h4>{{ __('site.product') }}</h4>
                                <ul>
                                    <ul>
                                        <li><a href="#">{{ __('site.expand') }}</a></li>
                                        <li><a href="#">{{ __('site.equalize') }}</a></li>
                                        <li><a href="#">{{ __('site.socialize') }}</a></li>
                                        <li><a href="#">{{ __('site.engineering') }}</a></li>
                                </ul>
                            </div>
                        </div>
                        <div class="col-sm-6 col-lg-3">
                            <div class="footer-items">
                                <h4>{{ __('site.Team') }}</h4>
                                <ul>
                                    <ul>
                                        <li><a href="#">{{ __('site.expand') }}</a></li>
                                        <li><a href="#">{{ __('site.equalize') }}</a></li>
                                        <li><a href="#">{{ __('site.socialize') }}</a></li>
                                        <li><a href="#">{{ __('site.engineering') }}</a></li>
                                </ul>
                            </div>
                        </div>
                        <div class="col-sm-6 col-lg-3">
                            <div class="footer-items">
                                <h4>{{ __('site.support') }}</h4>
                                <ul>
                                    <ul>
                                        <li><a href="#">{{ __('site.expand') }}</a></li>
                                        <li><a href="#">{{ __('site.equalize') }}</a></li>
                                        <li><a href="#">{{ __('site.socialize') }}</a></li>
                                        <li><a href="#">{{ __('site.engineering') }}</a></li>
                                </ul>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="col-sm-12 ev-footer-bottom">
                    <div class="row vertical-middle-content">
                        <div class="col-sm-4">
                            <div class="footer-img footer-logo">
                                <img src="{{ asset('assets/images/logo.png') }}" alt="" class="img-fluid">
                            </div>
                        </div>
                        <div class="col-sm-4">
                            <div class="footer-img">
                                <p>{{ __('site.2021_orange_room_digital') }}</p>
                            </div>
                        </div>
                        <div class="col-sm-4">
                            <div class="footer-img">
                                <img src="{{ asset('assets/images/cards.png') }}" alt="" class="img-fluid">
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </footer>
    <!--
    ==============
    * JS Files *
    ==============
-->

<!-- jQuery first, then Popper.js, then Bootstrap JS -->

<!-- jQuery -->
<script src="{{ asset('assets/plugins/js/jquery.min.js') }}"></script>
<!-- popper -->
<script src="{{ asset('assets/plugins/js/popper.min.js') }}"></script>
<!-- bootstrap -->
<script src="{{ asset('assets/plugins/js/bootstrap.min.js') }}"></script>
<!-- waypoint  -->
<script src="{{ asset('assets/plugins/js/waypoints.min.js') }}"></script>
<!-- owl carousel -->
<script src="{{ asset('assets/plugins/js/owl.carousel.js') }}"></script>
<!-- validator -->
<script src="{{ asset('assets/plugins/js/validator.min.js') }}"></script>
<!-- wow -->
<script src="{{ asset('assets/plugins/js/wow.min.js') }}"></script>
<!-- jquery nav -->
<script src="{{ asset('assets/plugins/js/jquery.nav.js') }}"></script>
<!-- Fancybox js-->
<script src="{{ asset('assets/plugins/js/jquery.fancybox.min.js') }}"></script>
<!-- TwinMax -->
<script src='{{ asset('assets/plugins/js/TweenMax.min.js') }}'></script>
<script src='{{ asset('assets/plugins/js/TimelineMax.min.js') }}'></script>
<script src="{{ asset('assets/plugins/js/scrollmagic.min.js') }}"></script>
<script src="{{ asset('assets/plugins/js/animation.gsap.min.js') }}"></script>
<!-- Custom Scripts-->
<script src="{{ asset('assets/js/custom-scripts.js') }}"></script>

<style>
    .demo-style-switch ul.styles li .red {
        background: #E67E99;
        background: -webkit-gradient(left top, right top, color-stop(0%, #39007D), color-stop(100%, #E67E99));
        background: -webkit-gradient(linear, left top, right top, from(#39007D), to(#E67E99));
        background: linear-gradient(to right, #39007D 0%, #E67E99 100%);

    }
</style>
</body>
</html>
