<?php echo $__env->make('includes.header', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
<section class="section ev-home ev-home-2" id="ev-home">
    <div class="header-overlay-img header-overlay-2" >
        <div class="img-2 image-bg" style="background-image: url(<?php echo e(asset('assets/images/header-bg-shape.svg')); ?>)">

        </div>
    </div>
    <div class="spt-2">
        <img src="<?php echo e(asset('assets/images/sp4.png')); ?>" alt="">
    </div>
    <div class="container relative zindex">
        <div class="section-separator pb-0">
            <div class="row vertical-middle-content">
                <div class="col-sm-12">
                    <div class="header-content-inner center ev-home-padding ev-home-padding-2">
                        <h2 class="main_heading wow fadeInUp"><?php echo e(__('site.conduct_more_customer')); ?> <br>
                        <?php echo e(__('site.in_a_better_way')); ?></h2>
                        <div class="ev-button wow fadeInUp">
                            <a href="#section7" class="btn btn-fill custom_btn" data-toggle="modal" data-target="#try_form"><?php echo e(__('site.get_free_demo')); ?></a>
                        </div>
                    </div>
                </div>
                <div class="col-lg-10 col-md-12 center wow fadeInLeft" style="padding-bottom: 150px;">
                    <div class="ev-header-img">
                        <img src="<?php echo e(asset('assets/images/mbc.svg')); ?>" alt="" class="img-fluid" id="imac">
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>

<!-- Modal -->
<div class="modal fade" id="try_form" tabindex="-1" role="dialog" aria-labelledby="exampleModalCenterTitle" aria-hidden="true">
  <div class="modal-dialog modal-dialog-centered" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title" id="exampleModalCenterTitle"><?php echo e(__('site.signup_now')); ?></h5>
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
      </button>
  </div>
  <div class="modal-body" style="padding:3rem">
    <form class="my_form">
        <div class="form-row">
            <div class="form-group col-md-12">
              <input type="text" class="form-control" id="" placeholder="<?php echo e(__('site.full_name')); ?>">
          </div>
          <div class="form-group col-md-12">
              <input type="text" class="form-control" id="" placeholder="<?php echo e(__('site.company_name')); ?>">
          </div>
          <div class="form-group col-md-12">
              <input type="email" class="form-control" id="" placeholder="<?php echo e(__('site.email')); ?>">
          </div>
          <div class="form-group col-md-12">
              <input type="text" class="form-control" id="" placeholder="<?php echo e(__('site.mobile')); ?>">
          </div>
          <div class="form-group col-md-12">
            <a href="#" class="btn otp_btn" style="padding:0 20px; font-size:12px; float: right;"><?php echo e(__('site.send_OTP')); ?></a>
        </div>
        <div class="form-group col-md-12 otp_section">
          <input type="text" class="form-control" id="inputPassword4" placeholder="<?php echo e(__('site.enter_OTP_code')); ?>">
          <a href="../portal/trial/password.php" class="btn btn-fill" style="padding:10px 30px; margin-top:10px"><?php echo e(__('site.submit')); ?></a>
      </div>
  </div>
</form>
</div>
</div>
</div>
</div>

        <!--
        ==============
            Solutions
        ==============
    -->
    <section class="ev-about-features-1 relative ev-about-features-1-2  section2" id="section2">
        <div class="container">
            <div class="row section-separator relative vertical-middle-content" style="padding-top: 0;">
                <img src="<?php echo e(asset('assets/images/circle-shape.png')); ?>" alt="" class="circle-shape">
                <div class="col-lg-6">
                    <div class="ev-content-title text-center">
                        <span class="title-category"><?php echo e(__('site.feature')); ?></span>
                        <h3><?php echo e(__('site.our_solution')); ?></h3>
                    </div>
                </div>
                <div class="col-lg-12" id="featured-content-inner">
                    <div class="row">
                        <div class="col-sm-6 col-lg-3">
                            <div class="feature-item itme-color-2" id="pr-item2">
                                <div class="item-icon"><i class="fa icofont-envelope-open"></i></div>
                                <h5><?php echo e(__('site.send_instant_SMS')); ?></h5>
                            </div>
                        </div>
                        <div class="col-sm-6 col-lg-3">
                            <div class="feature-item itme-color-3" id="pr-item3">
                                <div class="item-icon"><i class="fa icofont-contacts"></i></div>
                                <h5><?php echo e(__('site.save_your_contacts')); ?></h5>
                            </div>
                        </div>
                        <div class="col-sm-6 col-lg-3">
                            <div class="feature-item itme-color-4" id="pr-item4">
                                <div class="item-icon"><i class="fa icofont-files-stack"></i></div>
                                <h5><?php echo e(__('site.send_bulk_SMS')); ?></h5>
                            </div>
                        </div>
                        <div class="col-sm-6 col-lg-3">
                            <div class="feature-item itme-color-5" id="pr-item1">
                                <div class="item-icon"><i class="fa icofont-bullhorn"></i></div>
                                <h5><?php echo e(__('site.run_your_campaign')); ?></h5>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="sp1"><img src="<?php echo e(asset('assets/images/shape-rot.png')); ?>" alt=""></div>
    </section>

        <!--
        ==============
            Why Us
        ==============
    -->
    <section class="section featured-section-3 lo-about relative section3" id="section3">
        <div class="container-half container-half-left cover-bg" style="background-image: url(<?php echo e(asset('assets/images/dashonet.png')); ?>);"></div>
        <div class="container-half container-half-right main-color-bg"></div>
        <div class="container">
            <div class="row">
                <div class="col-lg-7 col-md-6 offset-md-6 offset-lg-7">
                    <div class="col-sm-12">
                        <div class="ev-content-title">
                            <span class="title-category"><?php echo e(__('site.feature')); ?></span>
                            <h3><?php echo e(__('site.why_choose_us')); ?></h3>
                        </div>
                        <div class="each-content-inner">
                            <ul>
                                <li>
                                    <span>01</span>
                                    <h5> <?php echo e(__('site.best_performance')); ?></h5>
                                    <p><?php echo e(__('site.developed_with_vision')); ?></p>
                                </li>
                                <li>
                                    <span>02</span>
                                    <h5> <?php echo e(__('site.easy_settings')); ?></h5>
                                    <p><?php echo e(__('site.easy_set_up_campaigns')); ?></p>
                                </li>
                                <li>
                                    <span>03</span>
                                    <h5> <?php echo e(__('site.secure_multi_usable')); ?></h5>
                                    <p><?php echo e(__('site.enables_security_purpose')); ?></p>
                                </li>
                            </ul>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>

            <!--
        ==============
            CTA
        ==============
    -->
    <div class="cta" style="margin: 100px 0;">
        <div class="container">
            <div class="row mini-section-separator relative">
                <div class="overlay-img">
                    <div class="each-color image-bg" style="background-image:url(<?php echo e(asset('assets/images/cta-overlay.svg')); ?>)"></div>
                </div>
                <div class="cta-inner col-sm-12">
                    <div class="row vertical-middle-content">
                        <div class="col-sm-12 col-lg-6">
                            <p><?php echo e(__('site.10,000_professionals')); ?></p>
                        </div>
                        <div class="col-sm-12 col-lg-6">
                            <div class="ev-button center wow fadeInUp">
                                <a href="#" class="btn btn-fill"><?php echo e(__('site.get_started_now')); ?></a>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

        <!--
        ==============
            Helps
        ==============
    -->
    <section class="section featured-section-4 lo-about relative section4" id="lo-about">
        <div class="container-half container-half-right cover-bg" style="background-image: url(<?php echo e(asset('assets/images/dash2.png')); ?>);"></div>
        <div class="container-half container-half-left main-color-bg"></div>
        <div class="container">
            <div class="row">
                <div class="col-lg-7 col-md-8">
                    <div class="col-sm-12">
                        <div class="ev-content-title">
                            <span class="title-category"><?php echo e(__('site.feature')); ?></span>
                            <h3><?php echo e(__('site.we_help_you')); ?></h3>
                            <p><?php echo e(__('site.our_support_is_24x7')); ?></p>
                        </div>
                        <div class="each-content-inner">
                            <ul>
                                <li>
                                    <h5><i class="fa fa-codepen"></i> <?php echo e(__('site.best_performance')); ?> </h5>
                                </li>
                                <li>
                                    <h5><i class="fa fa-2 fa-codepen"></i>  <?php echo e(__('site.easy_settings')); ?> </h5>
                                </li>
                            </ul>
                        </div>
                        <div class="ev-button wow fadeInUp">
                            <a href="#" class="btn btn-fill"><?php echo e(__('site.get_started_now')); ?></a>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="sp2"><img src="<?php echo e(asset('assets/images/sp2.png')); ?>" alt=""></div>
    </section>



        <!--
        ==============
            Pricing
        ==============
    -->
    <section class="lo-pricing-plan section7 relative" id="section7">
        <div class="sp3"><img src="<?php echo e(asset('assets/images/sp3.png')); ?>" alt=""></div>
        <div class="container">
            <div class="row section-separator relative">
                <div class="ev-content-title text-center col-sm-12 pr-0">
                    <span class="title-category"><?php echo e(__('site.process')); ?></span>
                    <h3><?php echo e(__('site.pricing_plan')); ?></h3>
                    <p class="">At Surge3, we know knowledge is power and experience leads to results There
                    are not many cities that have experienced such social and political extremes.</p>
                </div>
                <div class="col-lg-4 col-md-6 wow fadeInUp">
                    <div id="price-item1" class="pricing-item red-color">
                        <div class="pricing-item-top">
                            <span class="event-name"> Basic </span>
                            <h3>$9</h3>
                            <span class="duration-month">Month</span>
                        </div>
                        <ul class="pricing-offers">
                            <li>Quick job, Small Work</li>
                            <li>Print Package</li>
                            <li>1 Photographer</li>
                            <li>300+ Finished Photos</li>
                            <li>300+ Finished Photos</li>
                            <li></li>
                        </ul>
                        <div class="pricing-item-bottom">
                            <a href="#" class="btn btn-fill">Choose Plan</a>
                            <p><a href="#">Get Your 30 day free trial</a></p>
                        </div>
                    </div>
                </div>
                <div class="col-lg-4 col-md-6 wow fadeInUp">
                    <div id="price-item2" class="pricing-item pricing-item-2 blue-bg">
                        <div class="pricing-item-top">
                            <span class="event-name"> Premium </span>
                            <h3>$999</h3>
                            <span class="duration-month">Month</span>
                        </div>
                        <ul class="pricing-offers">
                            <li>Quick job, Small Work</li>
                            <li>Print Package</li>
                            <li>1 Photographer</li>
                            <li>300+ Finished Photos</li>
                            <li>300+ Finished Photos</li>
                            <li></li>
                        </ul>
                        <div class="pricing-item-bottom">
                            <a href="#" class="btn btn-fill">Choose Plan</a>
                            <p><a href="#">Get Your 30 day free trial</a></p>
                        </div>
                    </div>
                </div>
                <div class="col-lg-4 col-md-6 wow fadeInUp">
                    <div id="price-item3" class="pricing-item sky-color">
                        <div class="pricing-item-top">
                            <span class="event-name"> Standard </span>
                            <h3>$99</h3>
                            <span class="duration-month">Month</span>
                        </div>
                        <ul class="pricing-offers">
                            <li>Quick job, Small Work</li>
                            <li>Print Package</li>
                            <li>1 Photographer</li>
                            <li>300+ Finished Photos</li>
                            <li>300+ Finished Photos</li>
                            <li></li>
                        </ul>
                        <div class="pricing-item-bottom">
                            <a href="#" class="btn btn-fill">Choose Plan</a>
                            <p><a href="#">Get Your 30 day free trial</a></p>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>



    <div style="margin-bottom: 50px;"></div>

    <?php echo $__env->make('includes.footer', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
    <script>
        $('.otp_section').fadeOut();
        $(".otp_btn").click(function(){
            $(".otp_section").fadeIn();
            $(this).text('Resend');
        });
    </script>
<?php /**PATH /home/ordclients/public_html/sms_portal/resources/views/index.blade.php ENDPATH**/ ?>