<!doctype html>
    <html lang="zxx">
    <head>
        <title> <?php echo e(__('site.site_title')); ?></title>
        <!-- Required meta tags -->
        <meta charset="utf-8">
        <meta http-equiv="X-UA-Compatible" content="IE=edge">
        <meta name="description" content="" />
        <meta name="keywords" content=" " />
        <meta name="developer" content="Md. Siful Islam">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

        <!-- FAV AND ICONS   -->
        <link rel="shortcut icon" href="<?php echo e(asset('assets/images/favicon.png')); ?>">
        <link rel="shortcut icon" href="<?php echo e(asset('assets/images/apple-icon.png')); ?>">
        <link rel="shortcut icon" sizes="72x72" href="<?php echo e(asset('assets/images/apple-icon-72x72.png')); ?>">
        <link rel="shortcut icon" sizes="114x114" href="<?php echo e(asset('assets/images/apple-icon-114x114.png')); ?>">

        <!-- Font-->
        <link href="https://fonts.googleapis.com/css?family=Source+Sans+Pro" rel="stylesheet">
        <!-- Font Awesome -->
        <link rel="stylesheet" href="<?php echo e(asset('assets/icons/font-awesome-4.7.0/css/font-awesome.min.css')); ?>">
        <link rel="stylesheet" href="<?php echo e(asset('assets/icofont/icofont.min.css')); ?>">
        <!-- Bootstrap CSS -->
        <link rel="stylesheet" href="<?php echo e(asset('assets/plugins/css/bootstrap.min.css')); ?>">
        <!-- Animate CSS
            <link rel="stylesheet" href="assets/plugins/css/animate.css"> -->
            <!-- Owl Carousel CSS-->
            <link rel="stylesheet" href="<?php echo e(asset('assets/plugins/css/owl.css')); ?>">
            <!-- Fancybox-->
            <link rel="stylesheet" href="<?php echo e(asset('assets/plugins/css/jquery.fancybox.min.css')); ?>">
            <!-- Custom CSS-->
            <link rel="stylesheet" href="<?php echo e(asset('assets/css/styles.css')); ?>">
            <link rel="stylesheet" href="<?php echo e(asset('assets/css/custom.css')); ?>">
            <!-- Responsive -->
            <link rel="stylesheet" href="<?php echo e(asset('assets/css/responsive.css')); ?>">

            <!-- Color CSS -->
            <link rel="stylesheet" href="<?php echo e(asset('assets/css/colors/red.css')); ?>" title="red">
        </head>
        <body class="black-bg body-2" >
        <!--
        ===================
           NAVIGATION
        ===================
    -->
    <header class="black-bg mh-header nav-scroll fixed-top mh-xss-mobile-nav wow fadeInUp" id="zb-header">
        <div class="overlay"></div>
        <div class="container">
            <div class="row">
                <nav class="navbar navbar-expand-lg mh-nav nav-btn">
                    <a class="navbar-brand" href="#ev-home"><img src="<?php echo e(asset('assets/images/logo.png')); ?>" alt="" class="img-fluid" style="width:160px"></a>
                    <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent"
                    aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
                    <span class="navbar-toggler-icon icon"></span>
                </button>
                <div class="collapse navbar-collapse" id="navbarSupportedContent">
                    <ul class="navbar-nav mr-0 ml-auto">
                        <li class="nav-item active">
                            <a class="nav-link" href="#ev-home"><?php echo e(__('site.feature')); ?></a>
                        </li>
                        <li class="nav-item">
                            <a class="nav-link " href="#section2"><?php echo e(__('site.instruction')); ?></a>
                        </li>
                        <li class="nav-item">
                            <a class="nav-link" href="#lo-about"><?php echo e(__('site.feedback')); ?></a>
                        </li>
                        <li class="nav-item">
                            <a class="nav-link" href="#section5"><?php echo e(__('site.process')); ?></a>
                        </li>
                        <li class="nav-item">
                            <a class="nav-link" href="#section7"><?php echo e(__('site.pricing')); ?></a>
                        </li>
                        <li class="nav-item">
                            <a class="nav-link btn btn-fill custom_btn" href="#section7"><?php echo e(__('site.get_started_now')); ?></a>
                        </li>
                    </ul>
                </div>
            </nav>
        </div>
    </div>
</header>
<?php /**PATH /home/ordclients/public_html/sms_portal/resources/views/includes/header.blade.php ENDPATH**/ ?>